summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-03-14 05:24:05 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-03-14 05:24:05 (GMT)
commitc70a79c1e2deec8d508f34776befe11dab701e49 (patch)
treee316035b1059e5e4c3985fa64e7a3fa98ad697db
parentc7d4d0ec62e50c879908ab9f5e6b82c59124d338 (diff)
downloadlinhes_pkgbuild-c70a79c1e2deec8d508f34776befe11dab701e49.zip
linhes_pkgbuild-c70a79c1e2deec8d508f34776befe11dab701e49.tar.gz
linhes_pkgbuild-c70a79c1e2deec8d508f34776befe11dab701e49.tar.bz2
Adding missing PKGBUILDS, needed for VLC.
fluidsynth libdvbpsi libmatroska libmodplug libmpcded libshout libv4l lua zvbi
-rw-r--r--abs/extra-testing/community/fluidsynth/PKGBUILD25
-rw-r--r--abs/extra-testing/community/libdvbpsi/PKGBUILD25
-rw-r--r--abs/extra-testing/community/libmatroska/PKGBUILD21
-rw-r--r--abs/extra-testing/community/libmodplug/PKGBUILD23
-rw-r--r--abs/extra-testing/community/libmpcdec/PKGBUILD22
-rw-r--r--abs/extra-testing/community/libshout/PKGBUILD23
-rw-r--r--abs/extra-testing/community/libv4l/PKGBUILD19
-rw-r--r--abs/extra-testing/community/lua/PKGBUILD30
-rw-r--r--abs/extra-testing/community/lua/lua-5.1-cflags.diff13
-rw-r--r--abs/extra-testing/community/lua/lua-5.1.3-official-patch1.diff12
-rw-r--r--abs/extra-testing/community/lua/lua-5.1.3-official-patch2.diff11
-rw-r--r--abs/extra-testing/community/lua/lua-5.1.3-official-patch3.diff21
-rw-r--r--abs/extra-testing/community/lua/lua-5.1.3-official-patch4.diff18
-rw-r--r--abs/extra-testing/community/lua/lua-arch.patch55
-rw-r--r--abs/extra-testing/community/zvbi/PKGBUILD21
15 files changed, 339 insertions, 0 deletions
diff --git a/abs/extra-testing/community/fluidsynth/PKGBUILD b/abs/extra-testing/community/fluidsynth/PKGBUILD
new file mode 100644
index 0000000..f3606cb
--- /dev/null
+++ b/abs/extra-testing/community/fluidsynth/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: damir <damir@archlinux.org>
+
+pkgname=fluidsynth
+pkgver=1.0.8
+origver=1.0.8
+pkgrel=1
+pkgdesc="FluidSynth is a real-time software synthesizer based on the SoundFont 2 specifications."
+arch=("i686" "x86_64")
+url="http://www.fluidsynth.org/"
+depends=('jack-audio-connection-kit' 'ladspa')
+options=('!libtool')
+license=('LGPL')
+source=("http://savannah.nongnu.org/download/fluid/$pkgname-$pkgver.tar.gz")
+md5sums=('e2abfd2e69fd8b28d965df968d7d44ee')
+
+
+build() {
+ cd $startdir/src/$pkgname-$origver
+ ./configure --prefix=/usr \
+ --enable-ladspa
+ make || return 1
+ make prefix=$startdir/pkg/usr install
+}
+
diff --git a/abs/extra-testing/community/libdvbpsi/PKGBUILD b/abs/extra-testing/community/libdvbpsi/PKGBUILD
new file mode 100644
index 0000000..5b261a2
--- /dev/null
+++ b/abs/extra-testing/community/libdvbpsi/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 14016 2008-10-01 07:44:22Z giovanni $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Gilles CHAUVIN <gcnweb@gmail.com>
+
+pkgname=libdvbpsi
+pkgver=0.1.6
+pkgrel=3
+pkgdesc="MPEG TS and DVB PSI tables library (needed by vlc for streaming)"
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('glibc')
+options=('!libtool')
+replaces=('libdvbpsi4' 'libdvbpsi5')
+conflicts=('libdvbpsi4' 'libdvbpsi5')
+url="http://developers.videolan.org/libdvbpsi/"
+source=(http://download.videolan.org/pub/libdvbpsi/0.1.6/libdvbpsi5-$pkgver.tar.bz2)
+md5sums=('bd2d9861be3311e1e03c91cd9345f542')
+
+build()
+{
+ cd $startdir/src/libdvbpsi5-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make prefix=$startdir/pkg/usr install
+}
diff --git a/abs/extra-testing/community/libmatroska/PKGBUILD b/abs/extra-testing/community/libmatroska/PKGBUILD
new file mode 100644
index 0000000..0011c13
--- /dev/null
+++ b/abs/extra-testing/community/libmatroska/PKGBUILD
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: damir <damir@archlinux.org>
+# Contributor 03/08/04 <lefungus@altern.org>
+
+pkgname=libmatroska
+pkgver=0.8.1
+pkgrel=1
+pkgdesc="Matroska library"
+arch=(i686 x86_64)
+url="http://dl.matroska.org/downloads/libmatroska/"
+depends=('libebml>=0.7.6')
+#source=(http://www.bunkus.org/videotools/mkvtoolnix/sources/$pkgname-$pkgver.tar.bz2)
+source=($url/$pkgname-$pkgver.tar.bz2)
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver/make/linux
+ make sharedlib || return 1
+ make prefix=$startdir/pkg/usr install
+}
+
+md5sums=('20cf624ace0c58a54c7752eebfbc0b19')
diff --git a/abs/extra-testing/community/libmodplug/PKGBUILD b/abs/extra-testing/community/libmodplug/PKGBUILD
new file mode 100644
index 0000000..12c67db
--- /dev/null
+++ b/abs/extra-testing/community/libmodplug/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: Patrick Leslie Polzer <leslie.polzer@gmx.net>
+
+pkgname=libmodplug
+pkgver=0.8.4
+pkgrel=1
+pkgdesc="A MOD playing library"
+arch=(i686 x86_64)
+url="http://modplug-xmms.sourceforge.net/"
+license=('GPL')
+depends=(gcc-libs)
+source=(http://downloads.sf.net/sourceforge/modplug-xmms/libmodplug-${pkgver}.tar.gz)
+md5sums=('091bd1168a524a4f36fc61f95209e7e4')
+options=('!libtool')
+
+build() {
+ cd ${startdir}/src/libmodplug-${pkgver}
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=${startdir}/pkg install
+}
+
diff --git a/abs/extra-testing/community/libmpcdec/PKGBUILD b/abs/extra-testing/community/libmpcdec/PKGBUILD
new file mode 100644
index 0000000..feeaf8b
--- /dev/null
+++ b/abs/extra-testing/community/libmpcdec/PKGBUILD
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgname=libmpcdec
+pkgver=1.2.6
+pkgrel=1
+pkgdesc="Musepack decoding library"
+arch=(i686 x86_64)
+license=('custom')
+depends=('glibc')
+options=('!libtool')
+source=(http://files.musepack.net/source/${pkgname}-${pkgver}.tar.bz2)
+url="http://musepack.net/"
+md5sums=('7f7a060e83b4278acf4b77d7a7b9d2c0')
+
+build() {
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ ./configure --prefix=/usr --disable-static
+ make || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
+ install -Dm644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+}
diff --git a/abs/extra-testing/community/libshout/PKGBUILD b/abs/extra-testing/community/libshout/PKGBUILD
new file mode 100644
index 0000000..b23c88e
--- /dev/null
+++ b/abs/extra-testing/community/libshout/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD 19191 2008-11-17 11:43:24Z jgc $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: arjan <arjan@archlinux.org>
+# Contributor: Jason Chu <jchu@xentac.net>
+
+pkgname=libshout
+pkgver=2.2.2
+pkgrel=2
+pkgdesc="Library for accessing a shoutcast/icecast server"
+arch=('i686' 'x86_64')
+depends=('libvorbis' 'libtheora' 'speex')
+url="http://www.icecast.org/"
+options=('!libtool' 'force')
+license=('LGPL2')
+source=(http://downloads.xiph.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('4f75fc9901c724b712c371c9a1e782d3')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
+ make LDFLAGS+=-lspeex || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+}
diff --git a/abs/extra-testing/community/libv4l/PKGBUILD b/abs/extra-testing/community/libv4l/PKGBUILD
new file mode 100644
index 0000000..3afcf6c
--- /dev/null
+++ b/abs/extra-testing/community/libv4l/PKGBUILD
@@ -0,0 +1,19 @@
+# $Id: PKGBUILD 28297 2009-02-28 18:20:12Z thomas $
+# Maintainer: Thomas Baechler <thomas@archlinux.org>
+pkgname=libv4l
+pkgver=0.5.8
+pkgrel=1
+pkgdesc="Userspace library for Video 4 Linux (1 and 2)"
+arch=('i686' 'x86_64')
+url="http://hansdegoede.livejournal.com/3636.html"
+license=('LGPL')
+depends=('glibc')
+source=(http://people.atrpms.net/~hdegoede/$pkgname-$pkgver.tar.gz)
+md5sums=('4f8ae9c743b215c8ac0e553eaa01e980')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make || return 1
+ make install PREFIX="/usr" DESTDIR="$pkgdir/"
+}
diff --git a/abs/extra-testing/community/lua/PKGBUILD b/abs/extra-testing/community/lua/PKGBUILD
new file mode 100644
index 0000000..ff0b435
--- /dev/null
+++ b/abs/extra-testing/community/lua/PKGBUILD
@@ -0,0 +1,30 @@
+# $Id: PKGBUILD 10401 2008-08-29 00:31:46Z allan $
+# Maintainer: Juergen Hoetzel <juergen@archlinux.org>
+# Contributor: Damir Perisa <damir.perisa@bluewin.ch>
+
+pkgname=lua
+pkgver=5.1.4
+pkgrel=3
+pkgdesc="A powerful light-weight programming language designed for extending applications."
+arch=(i686 x86_64)
+url="http://www.lua.org/"
+depends=('readline' 'ncurses')
+license=(MIT)
+options=('!makeflags')
+source=($url/ftp/$pkgname-$pkgver.tar.gz $pkgname-arch.patch 'lua-5.1-cflags.diff')
+md5sums=('d0870f2de55d59c1c8419f36e8fac150'
+ '1bd1164a19abf9165e231ba0d8a0bbc7'
+ '249582bf1fd861ccf492d2c35a9fe732')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ patch -p1 -i $startdir/src/$pkgname-arch.patch || return 1
+
+ [ "$CARCH" == "x86_64" ] && patch -Np1 -i ../lua-5.1-cflags.diff
+ [ "$CARCH" == "x86_64" ] && export CFLAGS="$CFLAGS -fPIC"
+ make INSTALL_DATA="cp -d" TO_LIB="liblua.a liblua.so liblua.so.5.1" LUA_SO=liblua.so INSTALL_TOP=$startdir/pkg/usr INSTALL_MAN=$startdir/pkg/usr/share/man/man1 \
+ linux install || return 1
+ install -D -m 644 etc/lua.pc $startdir/pkg/usr/lib/pkgconfig/lua.pc
+ install -D -m644 COPYRIGHT $startdir/pkg/usr/share/licenses/$pkgname/COPYRIGHT
+}
+# vim: ts=2 sw=2 et ft=sh
diff --git a/abs/extra-testing/community/lua/lua-5.1-cflags.diff b/abs/extra-testing/community/lua/lua-5.1-cflags.diff
new file mode 100644
index 0000000..db658ae
--- /dev/null
+++ b/abs/extra-testing/community/lua/lua-5.1-cflags.diff
@@ -0,0 +1,13 @@
+diff -Naur lua-5.1.orig/src/Makefile lua-5.1/src/Makefile
+--- lua-5.1.orig/src/Makefile 2006-02-16 16:45:09.000000000 +0100
++++ lua-5.1/src/Makefile 2006-03-01 14:55:29.000000000 +0100
+@@ -8,7 +8,8 @@
+ PLAT= none
+
+ CC= gcc
+-CFLAGS= -O2 -Wall $(MYCFLAGS)
++CFLAGS ?= -O2 -Wall
++CFLAGS += $(MYCFLAGS)
+ AR= ar rcu
+ RANLIB= ranlib
+ RM= rm -f
diff --git a/abs/extra-testing/community/lua/lua-5.1.3-official-patch1.diff b/abs/extra-testing/community/lua/lua-5.1.3-official-patch1.diff
new file mode 100644
index 0000000..dec8fba
--- /dev/null
+++ b/abs/extra-testing/community/lua/lua-5.1.3-official-patch1.diff
@@ -0,0 +1,12 @@
+--- src/lbaselib.c
++++ src/lbaselib.c
+443c443,444
+< ** functions to consume unlimited stack space.
+---
+> ** functions to consume unlimited stack space. (must be smaller than
+> ** -LUA_REGISTRYINDEX)
+445,446c446
+< #define LUAI_MCS_AUX ((int)(INT_MAX / (4*sizeof(LUA_NUMBER))))
+< #define LUAI_MAXCSTACK (LUAI_MCS_AUX > SHRT_MAX ? SHRT_MAX : LUAI_MCS_AUX)
+---
+> #define LUAI_MAXCSTACK 8000
diff --git a/abs/extra-testing/community/lua/lua-5.1.3-official-patch2.diff b/abs/extra-testing/community/lua/lua-5.1.3-official-patch2.diff
new file mode 100644
index 0000000..05ac244
--- /dev/null
+++ b/abs/extra-testing/community/lua/lua-5.1.3-official-patch2.diff
@@ -0,0 +1,11 @@
+--- src/lbaselib.c (old)
++++ src/lbaselib.c (new)
+@@ -526,7 +526,7 @@
+ status = lua_resume(co, narg);
+ if (status == 0 || status == LUA_YIELD) {
+ int nres = lua_gettop(co);
+- if (!lua_checkstack(L, nres))
++ if (!lua_checkstack(L, nres + 1))
+ luaL_error(L, "too many results to resume");
+ lua_xmove(co, L, nres); /* move yielded values */
+ return nres;
diff --git a/abs/extra-testing/community/lua/lua-5.1.3-official-patch3.diff b/abs/extra-testing/community/lua/lua-5.1.3-official-patch3.diff
new file mode 100644
index 0000000..8126ff5
--- /dev/null
+++ b/abs/extra-testing/community/lua/lua-5.1.3-official-patch3.diff
@@ -0,0 +1,21 @@
+--- src/lapi.c (old)
++++ src/lapi.c (new)
+@@ -93,15 +93,14 @@
+
+
+ LUA_API int lua_checkstack (lua_State *L, int size) {
+- int res;
++ int res = 1;
+ lua_lock(L);
+- if ((L->top - L->base + size) > LUAI_MAXCSTACK)
++ if (size > LUAI_MAXCSTACK || (L->top - L->base + size) > LUAI_MAXCSTACK)
+ res = 0; /* stack overflow */
+- else {
++ else if (size > 0) {
+ luaD_checkstack(L, size);
+ if (L->ci->top < L->top + size)
+ L->ci->top = L->top + size;
+- res = 1;
+ }
+ lua_unlock(L);
+ return res;
diff --git a/abs/extra-testing/community/lua/lua-5.1.3-official-patch4.diff b/abs/extra-testing/community/lua/lua-5.1.3-official-patch4.diff
new file mode 100644
index 0000000..1d03f37
--- /dev/null
+++ b/abs/extra-testing/community/lua/lua-5.1.3-official-patch4.diff
@@ -0,0 +1,18 @@
+--- src/lbaselib.c (old)
++++ src/lbaselib.c (new)
+@@ -344,10 +344,12 @@
+ luaL_checktype(L, 1, LUA_TTABLE);
+ i = luaL_optint(L, 2, 1);
+ e = luaL_opt(L, luaL_checkint, 3, luaL_getn(L, 1));
++ if (i > e) return 0; /* empty range */
+ n = e - i + 1; /* number of elements */
+- if (n <= 0) return 0; /* empty range */
+- luaL_checkstack(L, n, "table too big to unpack");
+- for (; i<=e; i++) /* push arg[i...e] */
++ if (n <= 0 || !lua_checkstack(L, n)) /* n <= 0 means arith. overflow */
++ return luaL_error(L, "too many results to unpack");
++ lua_rawgeti(L, 1, i); /* push arg[i] (avoiding overflow problems) */
++ while (i++ < e) /* push arg[i + 1...e] */
+ lua_rawgeti(L, 1, i);
+ return n;
+ }
diff --git a/abs/extra-testing/community/lua/lua-arch.patch b/abs/extra-testing/community/lua/lua-arch.patch
new file mode 100644
index 0000000..7d6d331
--- /dev/null
+++ b/abs/extra-testing/community/lua/lua-arch.patch
@@ -0,0 +1,55 @@
+diff -ur lua-5.1.orig/etc/lua.pc lua-5.1/etc/lua.pc
+--- lua-5.1.orig/etc/lua.pc 2006-03-21 11:51:53.000000000 +0100
++++ lua-5.1/etc/lua.pc 2006-03-21 11:52:05.000000000 +0100
+@@ -6,7 +6,7 @@
+ V= 5.1
+
+ # grep '^INSTALL_.*=' ../Makefile | sed 's/INSTALL_TOP/prefix/'
+-prefix= /usr/local
++prefix= /usr
+ INSTALL_BIN= ${prefix}/bin
+ INSTALL_INC= ${prefix}/include
+ INSTALL_LIB= ${prefix}/lib
+diff -ur lua-5.1.orig/src/Makefile lua-5.1/src/Makefile
+--- lua-5.1.orig/src/Makefile 2006-03-21 11:51:53.000000000 +0100
++++ lua-5.1/src/Makefile 2006-03-21 11:52:09.000000000 +0100
+@@ -23,6 +23,7 @@
+ PLATS= aix ansi bsd generic linux macosx mingw posix solaris
+
+ LUA_A= liblua.a
++LUA_SO= liblua.so
+ CORE_O= lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
+ lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o \
+ lundump.o lvm.o lzio.o
+@@ -36,7 +37,7 @@
+ LUAC_O= luac.o print.o
+
+ ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
+-ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
++ALL_T= $(LUA_A) $(LUA_SO) $(LUA_T) $(LUAC_T)
+ ALL_A= $(LUA_A)
+
+ default: $(PLAT)
+@@ -51,6 +52,10 @@
+ $(AR) $@ $?
+ $(RANLIB) $@
+
++$(LUA_SO): $(CORE_O) $(LIB_O)
++ $(CC) -shared -ldl -Wl,-soname,liblua.so -o $@.5.1 $? $(MYLDFLAGS)
++ ln -s $@.5.1 $@
++
+ $(LUA_T): $(LUA_O) $(LUA_A)
+ $(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)
+
+diff -ur lua-5.1.orig/src/luaconf.h lua-5.1/src/luaconf.h
+--- lua-5.1.orig/src/luaconf.h 2006-03-21 11:51:53.000000000 +0100
++++ lua-5.1/src/luaconf.h 2006-03-21 11:52:05.000000000 +0100
+@@ -82,7 +82,7 @@
+ ".\\?.dll;" LUA_CDIR"?.dll;" LUA_CDIR"loadall.dll"
+
+ #else
+-#define LUA_ROOT "/usr/local/"
++#define LUA_ROOT "/usr/"
+ #define LUA_LDIR LUA_ROOT "share/lua/5.1/"
+ #define LUA_CDIR LUA_ROOT "lib/lua/5.1/"
+ #define LUA_PATH_DEFAULT \
diff --git a/abs/extra-testing/community/zvbi/PKGBUILD b/abs/extra-testing/community/zvbi/PKGBUILD
new file mode 100644
index 0000000..f638f29
--- /dev/null
+++ b/abs/extra-testing/community/zvbi/PKGBUILD
@@ -0,0 +1,21 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Alexander Baldeck <alexander@archlinux.org>
+# Contributor: dorphell <dorphell@archlinux.org>
+pkgname=zvbi
+pkgver=0.2.26
+pkgrel=1
+pkgdesc="zvbi is needed for zapping"
+arch=(i686 x86_64)
+depends=('libpng')
+license=('GPL')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/zapping/$pkgname-$pkgver.tar.bz2)
+url="http://zapping.sourceforge.net/cgi-bin/view/ZVBI/WebHome"
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make prefix=$startdir/pkg/usr install
+}
+md5sums=('82805319ca61f6ffd7b7bb64d7433448')